@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Open Sans', sans-serif;
    font-weight: 550;
    color: black;
}

body {
    background-color: #E0E0E0;
}

.open-sans {
    font-family: "Open Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings:
            "wdth" 100;
}

.layout-padding {
    padding: 50px 0;
    margin-top: 75px;
}

.center {
    text-align: center;
    margin: auto;
}

.center .container {
    width: 100%;
    padding: 0 50px;
}

.center .container h1 {
    font-size: 3rem;
    padding-bottom: 5px;
}

.center .container .header-container {
    padding-bottom: 50px;
}

.limited-width {
    max-width: 1200px;
    margin: auto;
}

.opis {
    font-size: 18px;
}

/* ===== Pozostała sekcja strony ===== */
#strona-glowna {
    height: 100vh;
    background-image: linear-gradient(
            rgba(0,0,0,0.65), rgba(0, 0, 0 ,0.65)),
            url(../backgrounds/strona_glowna.webp);
    background-size: cover;
    background-position: center center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.banner-text .title {
    color: #fff;
    font-size: clamp(48px, 6vw, 80px);
    font-weight: bold;
    line-height: 0.75em;
    margin-bottom: 150px;
    transition: .4s;
}

.banner-text .subtitle {
    color: #fff;
    font-size: clamp(30px, 3.5vw, 50px);
    margin-top: 150px;
    transition: .4s;
}

.banner-text .title:hover, .banner-text .subtitle:hover {
    color: #57A773;
    transition: .4s;
}

@media (max-width: 500px) {
    .center .container {
        padding: 0 15px;
    }
}